package com.goafanti.voucher.service;

import java.util.List;

import com.goafanti.common.model.JtVoucher;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.voucher.bo.JtVoucherListBo;

public interface VoucherService {
	int saveVoucher(JtVoucher voucher);
	
	int updateVoucher(JtVoucher voucher);
	
	int delectVoucher(String id);
	
	JtVoucher selectVoucher(String id);
	
	Pagination<JtVoucherListBo> selectVoucherList(String name,Integer limitUse,Integer activeState,Integer source,String uid,Integer pageNo,Integer pageSize);
	
	
	List<String> getSourceVoucher(Integer source);

	List<JtVoucherListBo> selectVoucherByClassify(String name, Integer isHot,Integer size);

	List<JtVoucherListBo> selectActivityVoucher();
}
